/*
// PROGRAM NAME:  SIMPLEC.C.
//
// FUNCTIONAL DESCRIPTION.
//	This program is a simple example of how the kernel functions
//	can be called from large-model C applications.	The program
//	doesn't do anything but make a call to the PassTimeSlice function
//	in the GENERAL\LIB\OBJ\KERNEL.OBJ module, which in turns calls
//	the Embedded DOS operating system through INT 2dh.
//
// MODIFICATION HISTORY.
//	S. E. Jones	93/09/18.	#1.106, original.
//
// INPUTS.
//	none.
//
// OUTPUTS.
//	none.
//
// COMMAND LINE ARGUMENTS.
//	none.
//
// NOTICE:  Copyright (C) 1993-1995 General Software, Inc.
*/

#define VOID void
#define UCHAR unsigned char
#define USHORT unsigned short
#define ULONG unsigned long
#define FALSE 0
#define TRUE (!FALSE)

#include <stdio.h>

#include "..\inc\kernel.h"	// kernel API definitions.

VOID main (int argc, char *argv[])
{
    printf ("This is a simple C program that calls a kernel function.\n");

    PassTimeSlice ();		// call the kernel function.

    exit (0);			// successfully return to Embedded DOS.
} // simplec.c
