;***	CDS.INC -- DOS Current Directory Structure.
;
;1.	Functional Description.
;	This structure defines the layout of a DOS Current Directory Structure
;	(CDS), of the type expected by Microsoft Windows when it scans the
;	anchor block with DosGetAnchor.  Although the exact specifications
;	for this structure are not published by Microsoft, we were able to
;	determine what most of these fields were through experimentation
;	and through the notes provided by curious types on BBS's, etc.
;	Special thanks to "pete@octopus" for his stuff we saw on the net.
;	Naturally, "pete" can't be held responsible for this information.
;	This structure is also well-documented in the Addison-Wesley book,
;	"Undocumented DOS", by Andrew Schulman, Ray Michels, Jim Kyle,
;	Tim Paterson, David Maxey, and Ralf Brown.
;
;2.	Modification History.
;	S. E. Jones	90/11/09.	OEM DOS Release for COMDEX.
;	S. E. Jones	91/03/08.	Changed name to CDS per Undocumented DOS.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;	S. E. Jones	95/02/07.	#2.2.14, removed constants.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

CDS_CURDIR_LEN	=	64		; cds_curdir field is 64 bytes long.

CDS		struc
cds_curdir	db	CDS_CURDIR_LEN dup (?) ; "A:\SRC\THIS\THAT", 0,0,0...
cds_res1	dd	?		; MBZ field, unknown usage.
cds_flags	db	?		; flags, defined below.
cds_dpb         dd	?		; FWA, DPB for this drive letter.
cds_clust	dw	?		; current cluster number if known.
cds_res2	dd	?		; reserved field, must be all ffH's.
cds_res3	dw	?		; reserved field, must be 2.
CDS		ends

CDS_FLAGS_VALID         =	40h	; drive is valid (you can change to it).
