;***	DDS.INC -- Embedded DOS Drive Structure.
;
;1.	Functional Description.
;	This structure defines the layout of a DOS Drive Structure (DDS),
;	of the type expected by Microsoft Windows when it scans the anchor
;	block with DosGetAnchor.  Although the exact specifications for
;	this structure are not published by Microsoft, we were able to
;	determine what most of these fields were through experimentation
;	and through the notes provided by curious types on BBS's, etc.
;	Special thanks to "pete@octopus" for his stuff we saw on the net.
;	Naturally, "pete" can't be held responsible for this information.
;
;2.	Modification History.
;	S. E. Jones	90/11/09.	OEM DOS Release for COMDEX.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

DDS_CURDIR_LEN	=	64		; dds_curdir field is 64 bytes long.

DDS		struc
dds_curdir	db	DDS_CURDIR_LEN dup (?) ; "A:\SRC\THIS\THAT", 0,0,0...
dds_res1	dd	0		; MBZ field, unknown usage.
dds_flags	db	?		; flags, defined below.
dds_dpb         dd	?		; FWA, DPB for this drive letter.
dds_clust	dw	?		; current cluster number if known.
dds_res2	dd	-1		; reserved field, must be all ffH's.
dds_res3	dw	2		; reserved field, must be 2.
DDS		ends

DDS_FLAGS_VALID         =	40h	; drive is valid (you can change to it).
