;***	ELE.INC -- Embedded DOS Error Log Entry.
;
;1.	Functional Description.
;	This structure defines the layout of an error log entry (ELE) that
;	is allocated from system pool, maintained by the Embedded DOS kernel.
;	The error log is a singly-linked list of error log entries that
;	can get arbitrarily long, although to conserve memory we limit
;	the chain's size to ErrorLogSize entries (defined in CONFIG.SYS).
;
;2.	Modification History.
;	S. E. Jones	90/11/09.	OEM DOS Release for COMDEX.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

ELE		struc
ele_fwdlink	dw	?		; offset FWA, next ELE in log.
ele_type	dw	?		; type of entry.
ele_p1		dd	?		; 1st parameter.
ele_p2		dd	?		; 2nd parameter.
ele_p3		dd	?		; 3rd parameter.
ELE		ends

;		...			; add more type values here.

ELE_TYPE_LIMIT		=	0	; values at this or above are invalid.
