;***	FSDHDR.INC -- Embedded DOS File System Driver Header.
;
;1.	Functional Description.
;	This structure defines the layout of the driver header of a
;	file system driver (FSD).
;
;2.	Modification History.
;	S. E. Jones	90/11/09.	OEM DOS Release for COMDEX.
;	S. E. Jones	91/07/26.	#1.087, added flags & reserved area.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

FSD_VERSION	=	1

FSDHDR		struc
fsdhdr_fwdlink	dd	?		; far FWA, next FSD driver in system.
fsdhdr_name	db	8 dup (?)	; name of file system.
fsdhdr_reqept	dw	?		; ofs adr, FSD request entrypoint.
fsdhdr_version	dw	?		; FSD spec version we're coded to (1).
fsdhdr_fshelp	dd	?		; far FWA, system FS help handler.
fsdhdr_flags	dw	?		; capabilities flags.
fsdhdr_resv	db	32 dup (?)	; reserved for future MBZ.
FSDHDR		ends
