;***	IBMPC.INC -- Embedded DOS PC-Specific Magic Numbers.
;
;1.	Functional Description.
;	This include file contains symbol definitions for the IBM PC's
;	character, such as its keyboard mappings and screen colors.
;	PC compatibles use these mappings too.
;
;2.	Modification History.
;	S. E. Jones	90/11/09.	OEM DOS Release for COMDEX.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

;	Some debugging constants.

DEBUG_SCREEN_SEGMENT =	0b000h		; segment of your test screen (monochrome).

;	Timer system constants.

MILLISECONDS_PER_TICK = 55		; ms per hardware clock interrupt (18.2/sec).

;	ASCII characters.

CR		=	0dh		; carriage return.
LF		=	0ah		; line feed.
BKSP		=	08h		; backspace (not DEL, which is ffh).
ESCAPE		=	1bh		; escape key.
TAB		=	09h		; horizontal tab (^I).
BELL		=	07h		; bell character (beep) for BIOS.
SPACE		=	20h		; a blank (space).

;	Definitions for the control characters on the PC keyboard.

CTRLA		=	('A'-'A'+1)
CTRLB		=	('B'-'A'+1)
CTRLC		=	('C'-'A'+1)
CTRLD		=	('D'-'A'+1)
CTRLE		=	('E'-'A'+1)
CTRLF		=	('F'-'A'+1)
CTRLG		=	('G'-'A'+1)
CTRLH		=	('H'-'A'+1)
CTRLI		=	('I'-'A'+1)
CTRLJ		=	('J'-'A'+1)
CTRLK		=	('K'-'A'+1)
CTRLL		=	('L'-'A'+1)
CTRLM		=	('M'-'A'+1)
CTRLN		=	('N'-'A'+1)
CTRLO		=	('O'-'A'+1)
CTRLP		=	('P'-'A'+1)
CTRLQ		=	('Q'-'A'+1)
CTRLR		=	('R'-'A'+1)
CTRLS		=	('S'-'A'+1)
CTRLT		=	('T'-'A'+1)
CTRLU		=	('U'-'A'+1)
CTRLV		=	('V'-'A'+1)
CTRLW		=	('W'-'A'+1)
CTRLX		=	('X'-'A'+1)
CTRLY		=	('Y'-'A'+1)
CTRLZ		=	('Z'-'A'+1)
CTRLDEL         =	127		; CTRL+"DEL" key.

;	Function key definitions.

FNKEY_F1	=	3bh
FNKEY_F2	=	3ch
FNKEY_F3	=	3dh
FNKEY_F4	=	3eh
FNKEY_F5	=	3fh
FNKEY_F6	=	40h
FNKEY_F7	=	41h
FNKEY_F8	=	42h
FNKEY_F9	=	43h
FNKEY_F10	=	44h
FNKEY_F11	=	0d9h
FNKEY_F12	=	0dah
FNKEY_HOME	=	47h
FNKEY_END	=	4fh
FNKEY_LEFT	=	4bh
FNKEY_RIGHT	=	4dh

;	The following constants define graphics characters for the IBM PC.

UL	=	0c9h			; upper left corner.
UR	=	0bbh			; upper right corner.
LL	=	0c8h			; lower left corner.
LR	=	0bch			; lower right corner.
VERT	=	0bah			; vertical line.
HORIZ	=	0cdh			; horizontal line.

;	These constants define the colors/attributes.

BACKGROUND_SHIFT = 4
FOREGROUND_SHIFT = 0

BLACK	=	00h
BLUE	=	01h
GREEN	=	02h
CYAN	=	03h
RED	=	04h
MAGENTA =	05h
BROWN	=	06h
WHITE	=	07h

;	Special attribute OR'd into the final attribute.

BLINK		=	80h
HIGH_INTENSITY	=	08h
