//***	QUEUE.H -- Embedded DOS Queueing API Definitions for C Language Programs.
//
//1.	Functional Description.
//	This include file contains prototypes for the Embedded DOS QUEUE API.
//
//2.	Modification History.
//	S. E. Jones	92/08/03.	Original for #1.099.
//	S. E. Jones	92/09/07.	#1.100, fixed API.
//	S. E. Jones	93/09/26.	#2.000, release.
//	S. E. Jones	95/01/24.	#2.2, release.
//
//3.	NOTICE: Copyright (C) 1992-1995 General Software, Inc.

#ifndef _QUEUE_API
#define _QUEUE_API

//
// This module depends on KTYPES.
//

#include "..\inc\ktypes.h"		// conditionally includes types.

extern STATUS ExCreateQueue (PUCHAR AsciizName, PHANDLE Handle);

extern STATUS ExOpenQueue (PUCHAR AsciizName, PHANDLE Handle);

extern STATUS ExCloseQueue (HANDLE Handle);

extern STATUS ExPushQueue (HANDLE Handle, PVOID Ptr);

extern STATUS ExAppendQueue (HANDLE Handle, PVOID Ptr);

extern STATUS ExPopQueue (HANDLE Handle, PVOID *Ptr);

#endif // not defined, _QUEUE_API
