;***	SFT.INC -- DOS System File Table.
;
;1.	Functional Description.
;	This structure defines the layout of a DOS System File Table (SFT),
;	of the type expected by Microsoft Windows when it scans the anchor
;	block with DosGetAnchor.  Although the exact specifications for
;	this structure are not published by Microsoft, we were able to
;	determine what most of these fields were through experimentation
;	and through the notes provided by curious types on BBS's, etc.
;	Special thanks to "pete@octopus" for his stuff we saw on the net.
;	Naturally, "pete" can't be held responsible for this information.
;	This structure is also well-documented in the Addison-Wesley book,
;	"Undocumented DOS", by Andrew Schulman, Ray Michels, Jim Kyle,
;	Tim Paterson, David Maxey, and Ralf Brown.
;
;2.	Modification History.
;	S. E. Jones	91/03/09.	Added to initialization.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

SFT		struc
sft_fwdlink	dd	?	; pointer to next SFT in chain.
sft_size	dw	?	; number of SFT entries (SFTE's)/this SFT.
sft_firstentry	db	?	; first byte of the 1st SFTE in this SFT.
SFT		ends
