//***	SHRMEM.H -- Embedded DOS Shared Memory API Definitions for C Language Programs.
//
//1.	Functional Description.
//	This include file contains prototypes for the Embedded DOS
//	SHARED MEMORY API.
//
//2.	Modification History.
//	S. E. Jones	92/11/27.	#1.101, original.
//	S. E. Jones	93/09/26.	#2.000, release.
//	S. E. Jones	95/01/24.	#2.2, release.
//
//3.	NOTICE: Copyright (C) 1992-1995 General Software, Inc.

#ifndef _SHRMEM_API
#define _SHRMEM_API

//
// This module depends on KTYPES.
//

#include "..\inc\ktypes.h"		// conditionally includes types.

extern STATUS ExAllocateSharedMemory (
    PUCHAR AsciizName,
    USHORT BufferSize,
    PVOID * Buffer);

extern STATUS ExAccessSharedMemory (PUCHAR AsciizName, PVOID * Buffer);

extern STATUS ExDeallocateSharedMemory (PVOID Buffer);

extern STATUS ExDeaccessSharedMemory (PVOID Buffer);

#endif // not defined, _SHRMEM_API
