;***	TBE.INC -- Embedded DOS I/O System Template Buffer Entry.
;
;1.	Functional Description.
;	This structure defines the layout of a template that is used by
;	the DOSCONSTRINPUT function to control console input across program
;	invocations.  These objects are allocated in DOSDATA at initialization
;	time, but DO NOT COME FROM SYSTEM POOL, so don't try to DeallocatePool.
;
;2.	Modification History.
;	S. E. Jones	90/11/09.	OEM DOS Release for COMDEX.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

TBE		struc
tbe_fwdlink	dw	?		; offset FWA, next entry in system.
tbe_bufadr	dd	?		; user buffer address.

;	The following fields comprise a maximum-length DOSCONSTRINPUT buffer.

tbe_maxlen	db	?		; maximum length of this buffer.
tbe_curlen	db	?		; # bytes stored in template.
tbe_buffer	db	MAX_TEMPLATE_SIZE dup (?) ; the buffer itself.
TBE		ends
