;***	UDEFINES.INC -- User Program Definitions.
;
;1.	Functional Description.
;	This include file contains symbol definitions for the commonly-
;	used magic numbers and status codes, etc., for user programs.
;
;2.	Modification History.
;	S. E. Jones	90/11/09.	OEM DOS Release for COMDEX.
;	S. E. Jones	91/08/09.	#1.090, removed gurus.
;	S. E. Jones	91/11/19.	#1.094, added long thread creation.
;	S. E. Jones	92/01/04.	#1.095, added prioritize/abort thread funcs.
;	S. E. Jones	92/01/06.	#1.095, added get fshelp address function.
;	S. E. Jones	92/01/08.	#1.095, added get iohelp address function.
;	S. E. Jones	92/01/08.	#1.095, added iohelp function codes.
;	S. E. Jones	92/02/20.	#1.096, removed DOSALERT.
;	S. E. Jones	92/07/14.	#1.099, added query thread handle.
;	S. E. Jones	92/07/26.	#1.099, added OBJECT API.
;	S. E. Jones	92/09/04.	#1.100, split-off API definitions.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

;	Embedded DOS codename identification.

STARLITE_OEM	=	99h		; special value returned by DOSGETVERSION.

;	MS-DOS-compatible interrupt vectors (can't be changed).

DOSVECT_EXIT	=	22h		; exit handler vector.
DOSVECT_CTRLC	=	23h		; ctrl-c handler vector.
DOSVECT_CRITERR =	24h		; critical error handler vector.

;	Some commonly-used general-purpose equates.

FALSE		=	0
TRUE		=	(NOT FALSE)
SPACE		=	20h
CR		=	0dh
LF		=	0ah
BKSP		=	08h
ESCAPE		=	1bh
TAB		=	09h
CTRLC		=	('C'-'A'+1)
CTRLS		=	('S'-'A'+1)
CTRLQ		=	('Q'-'A'+1)
CTRLZ		=	('Z'-'A'+1)

;	The following constants define graphics characters for the IBM PC.

UL	=	0c9h			; upper left corner.
UR	=	0bbh			; upper right corner.
LL	=	0c8h			; lower left corner.
LR	=	0bch			; lower right corner.
VERT	=	0bah			; vertical line.
HORIZ	=	0cdh			; horizontal line.

;	These constants define the colors/attributes.

BACKGROUND_SHIFT = 4
FOREGROUND_SHIFT = 0

BLACK	=	00h
BLUE	=	01h
GREEN	=	02h
CYAN	=	03h
RED	=	04h
MAGENTA =	05h
BROWN	=	06h
WHITE	=	07h

;	Special attribute OR'd into the final attribute.

BLINK		=	80h
HIGH_INTENSITY	=	08h

;	The default handle names.

HANDLE_STDIN	=	0		; standard input device.
HANDLE_STDOUT	=	1		; standard output device.
HANDLE_STDERR	=	2		; standard error device.
HANDLE_STDAUX	=	3		; standard auxilliary device.
HANDLE_STDPRN	=	4		; standard list device.

;	80x86 processor flags for use by the debugger.

FL_CARRY	=	0000000000000001b
FL_PARITY	=	0000000000000100b
FL_AUX		=	0000000000010000b
FL_ZERO         =	0000000001000000b
FL_SIGN         =	0000000010000000b
FL_TRACE	=	0000000100000000b
FL_INTERRUPT	=	0000001000000000b
FL_DIRECTION	=	0000010000000000b
FL_OVERFLOW	=	0000100000000000b

;	Configuration constants for the PRINTF package.

USE_BIOS	=	1		; 1=BIOS calls, 0=DOS calls.
FLOW_CONTROL	=	1		; 1=enable, 0=disable.
