;***	USEGS.INC -- Embedded DOS User Program Segment Declarations.
;
;1.	Functional Description.
;	This include file defines the segments used in user programs that
;	need access to the PRINTF package in the Embedded DOS environment.
;
;2.	Modification History.
;	S. E. Jones	90/11/09.	OEM DOS Release for COMDEX.
;	S. E. Jones	91/03/09.	Reversed ordering of PRINTFCODE/UCODE.
;	S. E. Jones	93/09/10.	#1.106, TASM: added '_' to CONST, STACK.
;	S. E. Jones	93/09/26.	#2.000, release.
;	S. E. Jones	95/01/24.	#2.2, release.
;
;3.	NOTICE: Copyright (C) 1990-1995 General Software, Inc.

_CONST	SEGMENT WORD PUBLIC 'CONST'	; constants for 'C' only.
_CONST	ENDS

_BSS	SEGMENT WORD PUBLIC 'BSS'	; uninitialized data for 'C' only.
_BSS	ENDS

_DATA	SEGMENT WORD PUBLIC 'DATA'	; data for 'C' program.
_DATA	ENDS

UDATA	SEGMENT WORD PUBLIC 'DATA'	; data for 'MASM' program.
UDATA	ENDS

PRINTFMSG  SEGMENT PARA PUBLIC 'DATA'
PRINTFMSG  ENDS

DGROUP	GROUP	_CONST, _BSS, _DATA, UDATA

_STACK	SEGMENT PARA STACK 'STACK'
_STACK	ENDS

_CODE	SEGMENT WORD PUBLIC 'CODE'	; code for 'C' program.
_CODE	ENDS

PRINTFCODE SEGMENT WORD PUBLIC 'CODE'	; printf package.
PRINTFCODE ENDS

UCODE	SEGMENT WORD PUBLIC 'CODE'	; code for 'MASM' program.
UCODE	ENDS

CGROUP GROUP _CODE, PRINTFCODE, UCODE
