# $Revision:   1.0  $
#
#************************************************************************
#
#   Title: Microsoft-compatible Makefile for MVI Barcode Sample
#
#   Environment:    MVI Communications Module
#                   MVI API
#                   General Software DOS 6-XL
#                   Microsoft C/C++ Compiler (16-bit)
#
#   Author:     JMC
#               Copyright (c) 1999-2000 Online Development, Inc.
#
#************************************************************************

#----------------------------------------------
# Paths to Tools
# 
# Note: Modify the following paths to
# correspond to your environment.
#
#----------------------------------------------
CPATH   = D:\MSVC15                 # Location of Microsoft tools
CC      = $(CPATH)\bin\cl           # compiler
LINK    = $(CPATH)\bin\link         # linker
MAKE    = $(CPATH)\bin\nmake        # make utility


#----------------------------------------------
# Path to API Libraries and Include files
# 
# Note: Modify the following paths to
# correspond to your environment.
#
#----------------------------------------------
BPINC   = ..\..\mvilib                # Path to MVI API include file
BPLIB   = ..\..\mvilib\mvibpapi.lib   # Path to MVI API library
SPINC   = ..\..\splib                 # Path to Serial Port include file
SPLIB   = ..\..\splib\mvispapi.lib    # Path to Serial Port API library


#----------------------------------------------
# Options
#----------------------------------------------
CFLAGS  = /c /nologo /G3 /W3 /AL /Oi /Gx- /I$(BPINC) /I$(SPINC)
LFLAGS  = /MAP:A /NOI /PACKC


#----------------------------------------------
# Target Name
#----------------------------------------------
TARG    = sample


#---------------------------------
# Library files
#---------------------------------
LIBS    =   $(BPLIB) $(SPLIB)


#----------------------------------------------
# Object files
#----------------------------------------------
OBJ     = $(TARG).obj 


#---------------------------------
# Final target
#---------------------------------
$(TARG).exe : $(OBJ) $(LIBS)
    $(LINK) $(LFLAGS) $(OBJ), $*.exe, $*.map, $(LIBS), nul.def

clean:
    del *.exe
    del *.obj
    del *.map

rebuild:
    $(MAKE) -f makefile.ms clean
    $(MAKE) -f makefile.ms

.c.obj:
    $(CC) $(CFLAGS) $*.c


$(TARG).obj: $(TARG).c makefile.ms


